USE [Boomerang]
GO

/****** Object:  StoredProcedure [dbo].[sp_After_File_Job]    Script Date: 09/10/2012 13:44:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER OFF
GO


/*******************************************************************
  08-11-14 [DPA] - new object; User event
*******************************************************************/
ALTER procedure [dbo].[sp_After_File_Job] 
(
  @jKey uniqueidentifier ,
  @lKey uniqueidentifier ,
  @error_level int 

)
as begin
set nocount on
SET QUOTED_IDENTIFIER OFF
set xact_abort on


--- evalute file out event ---------------------- 
Declare @Path_File_Name nvarchar(500), @Received_File_Key varchar(40), @Received_From_Email varchar(100)
,@DateCreatedStr varchar(20) , @Received_File_Name varchar(255)


Select 
 @Path_File_Name = ouf.[Path] + '\' + CONVERT(varchar(40), em.Uid1) + '_' + em.Str1
,@Received_File_Key = convert(varchar(40), em.Uid1)
,@Received_File_Name = em.Str1
,@Received_From_Email = em.Str2
,@DateCreatedStr = convert(varchar(20), GETDATE(), 120)
from OUT_FILE ouf inner join EVENT_MASTER em on ouf.gKey = em.gKey 
where ouf.jKey=@jKey
and em.Source = 5 -- Excel Import 
and @error_level = 0 -- Sucessfull file out event


--- If excel price update template --------------------
if @Received_File_Name = 'PriceUpdate.xlsx' 
	begin
	exec dbo.sp_Demo_Excel_Price_Update @jKey=@jKey, @Path_File_Name = @Path_File_Name, @Received_File_Key = @Received_File_Key, @Received_From_Email = @Received_From_Email, @DateCreatedStr = @DateCreatedStr, @Received_File_Name = @Received_File_Name
	return
	end

--- If random excel file  --------------------	
if @Received_File_Name like '%.xls%'
	begin
	exec dbo.sp_Demo_Excel_Random_File @jKey=@jKey, @Path_File_Name = @Path_File_Name, @Received_File_Key = @Received_File_Key, @Received_From_Email = @Received_From_Email, @DateCreatedStr = @DateCreatedStr, @Received_File_Name = @Received_File_Name
	return
	end

end

GO


