USE [Boomerang]
GO

/****** Object:  StoredProcedure [dbo].[sp_On_Email_In]    Script Date: 09/10/2012 13:45:45 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER OFF
GO


/*******************************************************************
2012-09-10	MM	Demo Excel Import	        
*******************************************************************/
ALTER procedure [dbo].[sp_On_Email_In]
(
@rKey uniqueidentifier
)
as begin
set nocount on 

-- Excel Import : Email In --> File Out --> Import -- Email Out --------------  
select * from IN_EMAIL where rKey = @rKey and Subject like '%ExcelImport%'
if @@ROWCOUNT = 1 

set xact_abort on
begin
	--- Get file or files that needs to be processed
	select NEWID() as gKey, NEWID() as jKey, ie.From_Email as Received_From_Email, iec.aKey as Received_File_Key, iec.Name as Received_File_Name, Data as Received_File 
	into #_tmp_tbl
	from IN_EMAIL ie inner join IN_EMAIL_CONTENT iec on ie.rKey = iec.rKey and iec.Name like '%.xls%'
	where ie.rKey = @rKey
	--- create a new event for every file received  
	insert into dbo.EVENT_MASTER (gKey, Source, Created_By, Str1, Str2, Uid1) 
	select gKey, 5, 'sp_On_Email_In', Received_File_Name, Received_From_Email, Received_File_Key from #_tmp_tbl -- Source 5 = Excel Import
	--- do file out for every file 
	insert into dbo.OUT_FILE(gKey, jKey, [Path], Mode) 
	select gKey, jKey, 'c:\temp', 1 from #_tmp_tbl -- 1 = create new file
	--- insert file or files into event content as stream
	insert into dbo.EVENT_CONTENT (gKey, jKey, Src_Type, Name, Stream) 
	select gKey, jKey, 0, convert(varchar(40), Received_File_Key) + '_' + Received_File_Name, Received_File from #_tmp_tbl -- Src_Type 0 = Streaming
	--- mark the incoming as processed
	update dbo.IN_EMAIL set Processed_On = GETDATE() where rKey = @rKey
	--- release job to be processed
	update dbo.EVENT_MASTER set Status = 0 where gKey in (select gKey from #_tmp_tbl) -- Status 0 = release job
end





return 0
end



GO


